### Constructor

# Shumate VectorReader new

since: 1.2

#### Declaration [src]

    ShumateVectorReader*
    shumate_vector_reader_new (
      GBytes* bytes
    )

#### Description [src]

Creates a new `ShumateVectorReader` from `bytes`.

Available since: 1.2

#### Parameters

`bytes`

  Type: `GBytes`

  A tile in Mapbox Vector Tile format.

  The data is owned by the caller of the function.

#### Return value

Type: `ShumateVectorReader`

A new `ShumateVectorReader`.

The caller of the function takes ownership of the data, and is responsible for freeing it.